' This VBScript source makes the date created = date modified
' Usage:
'	cscript SetCreatedToModified.vbs Path
' e.g.
'	cscript SetCreatedToModified.vbs "c:\my directory name"
' or
'	cscript SetCreatedToModified.vbs "c:\my directory name\filename.ext"
'
' Copyright JD Design 2010

Dim fso
set fso = CreateObject( "Scripting.FileSystemObject" )

'1'st parameter is a path
Dim PathName
PathName = WScript.Arguments(0)

On Error Resume Next
Dim fitem
set fitem = fso.GetFolder( PathName )
if Err.Number <> 0 Then
  Set fitem = fso.GetFile( PathName )
End If
On Error Goto 0

Dim CurDate
CurDate = fitem.DateLastModified
'WScript.Echo CurDate

'Execute TouchCmd to touch the folder
Dim WshShell
Set WshShell = WScript.CreateObject("WScript.Shell")

dim progname
'Add quotes around the path to TouchCmd
progname = chr(34) & WshShell.ExpandEnvironmentStrings("%programfiles%\JD Design\TouchPro\TouchCmd.exe") & chr(34)
'WScript.Echo "progname: " & progname
dim params
params = "/D" & Day(CurDate) & "/" & Month(CurDate) &  "/" & Year(CurDate)
params = params & " /T" & Hour(CurDate) & ":" & Minute(CurDate) & ":" & Second(CurDate)
params = params & " /C /O /F " & chr(34) & PathName & "\" & chr(34)
progname = progname & " " & params
Wscript.echo progname
WshShell.Run progname, , true
